Subject: Re: bug#77046: 31.0.50; Emacs sometimes crashes

From: Markus Triska <[email-masked]>
Date: Sun, 16 Mar 2025 12:43:15 +0100

Thank you all for looking into this and installing a correction!

Eli Zaretskii <[email-masked]> writes:

>> (I wonder a bit though, how redisplay got its hands on that child frame.
>> OTOH. the OP's .el with make-frame/delete-frame and redisplays in a
>> tight loop is something so unusual...)
>
> Exactly my thoughts.

Tight loops I use in tests help to quickly exhibit issues that occur
only rarely. #76186 is another example of such an issue: It occurs very
rarely, and the tight loop helps to elicit it in a short time.

All the best,
Markus